@import "_ultility.scss";
@import "_text.scss";
@import "_markdown.scss";

html {
  background-color: var(--secondary-color);
}
@media screen and (max-width: 1023px) {
  .navbar-menu {
    background-color: #555;
    box-shadow: 0 8px 16px rgba(10,10,10,.1);
    padding: .5rem 0;
  }
}
body {
  color: white;
  background-color: var(--secondary-color);
}

.navbar {
  background-color: var(--secondary-color);
}

.copa-tile {
  background: var(--primary-tile-color);
}

a {
  color: #8e9ee0;
  cursor: pointer;
  text-decoration: none
}

a:hover {
  color: white;
  text-decoration: underline;
}

a.current {
  color: var(--primary-tile-color);
}

body {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  background-color: #282828;
}

main {
  display: flex;
  justify-content: center;
  flex-grow: 1;
}

header {
  margin-bottom: 1em;
  background-color: #282828;
}

footer {
  margin-top: 4em;
  padding-top: 0.5em;
  padding-bottom: 0.5em;
  border-top: #dbdbdb solid thin;
  font-size: xx-small;
  display: flex;
  justify-content: center;
}

h3 {
  font-weight: 700 !important; /* WTF Bulma ?*/
  margin-bottom: 0.66em;
  margin-left: 1em;
}

h3:not(:first-child) {
  margin-top: 1em;
}

h2 {
  margin-top: 1.5em;
  margin-bottom: 0.66em;
}

h1 {
  margin-bottom: 1em;
}

ul {
  list-style: initial !important; /* WTF Bulma ?*/
  padding-left: 2em;
}

.project-title {
  color: currentColor;
}

main .toc {
  max-width: 260px;
  min-width: 240px;
}

.content h1, .content h2, .content h3, .content h4, .content h5, .content h6 {
  color: #c6bfbf;
}

.desktop-only {
  display: block
}

@media only screen and (max-width: 600px) {
  .desktop-only {
    display: none
  }
}
@media only screen and (min-width: 600px) {
  .desktop-only {
    display: none
  }
  .lgw-50{
    width: 50%;
  }
}
.navbar-burger{
  color: whitesmoke;
}
.screen-row {
  display: flex;
  gap: 2em;
  flex-direction: row;
  margin-top: 2em;
  width: 100%;
}

@media only screen and (max-width: 600px) {
  .screen-row {
    flex-direction: column;
  }
}

.content table thead td, .content table thead th {
  color: #c6bfbf;
}


@media only screen and (max-width: 600px) {
  .container {
    margin: initial;
  }
}

strong {
  color: #c6bfbf;
}